Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf
Class DynamicHtmlRenderDependencies

    java.lang.Object
      com.bea.netuix.laf.DynamicHtmlRenderDependencies

    public class DynamicHtmlRenderDependencies

extends Object

`DynamicHtmlRenderDependencies` encapsulates mechanisms for adding HTML render dependencies to the current Look and Feel. This class allows for a dynamic equivalent to the skin and skeleton configuration sections for render dependencies.

As with the static equivalents to these methods in skin and skeleton configuration, no HTML-level validation is implied by the methods of this class. Application code must ensure that the values passed to the methods of this class produce valid HTML elements.

NOTE: Calls to `PortalLookAndFeel.reinit()` will not affect render dependencies added via the methods of this class. However, `DynamicHtmlRenderDependencies` objects are valid only as long as the related `PortalLookAndFeel` object is valid.

See Also
  `PortalLookAndFeel.getDynamicHtmlRenderDependencies()`, "Skin and Skeleton configuration element <render-dependencies>"

Method Summary
`void` | `addLink(LinkedHashMap<String,String> linkAttributes)` Adds an HTML LINK element with the specified attributes.
`void` | `addLink(String rel, String type, String href, String media)` Adds an HTML LINK element with the specified attributes.
`void` | `addMeta(LinkedHashMap<String,String> metaAttributes)` Adds an HTML META element with the specified attributes.
`void` | `addMeta(String name, String content, String httpEquiv, String scheme)` Adds an HTML META element with the specified attributes.
`void` | `addScript(LinkedHashMap<String,String> scriptAttributes, String inlineText)` Adds an HTML SCRIPT element with the specified attributes.
`void` | `addScript(String type, String charset, String defer, String src, String inlineText)` Adds an HTML SCRIPT element with the specified attributes.
`void` | `addStyle(LinkedHashMap<String,String> styleAttributes, String inlineText)` Adds an HTML STYLE element with the specified attributes.
`void` | `addStyle(String title, String type, String media, String inlineText)` Adds an HTML STYLE element with the specified attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addLink

    public void addLink(String rel,
                        String type,
                        String href,
                        String media)

  Adds an HTML LINK element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting LINK elements will be preserved. All LINK elements added via this method will be ordered subsequent to the static LINK elements specified in skin and skeleton configuration files.

  Unlike the static equivalent in skin and skeleton configuration, the value of the `href` attribute specified in this method is used as-is; the value is not subject to Look and Feel resource resolution.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `rel` - The value for the (X)HTML link element's `rel` attribute; ignored if null
    `type` - The value for the (X)HTML link element's `type` attribute; ignored if null
    `href` - The value for the (X)HTML link element's `href` attribute; ignored if null
    `media` - The value for the (X)HTML link element's `media` attribute; ignored if null
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML LINK element, `Skin.getHtmlPathResolver()`, `Skeleton.getHtmlPathResolver()`

### addLink

    public void addLink(LinkedHashMap<String,String> linkAttributes)

  Adds an HTML LINK element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting LINK elements will be preserved. All LINK elements added via this method will be ordered subsequent to the static LINK elements specified in skin and skeleton configuration files.

  Unlike the static equivalent in skin and skeleton configuration, the value of the `href` attribute specified in this method is used as-is; the value is not subject to Look and Feel resource resolution.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `linkAttributes` - The key is the (X)HTML link element's attribute name, and the value is value of the attribute. For the attributes rel, type, href, and media - null values will be ignored. All others will not be ignored.
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML LINK element, `Skin.getHtmlPathResolver()`, `Skeleton.getHtmlPathResolver()`

### addMeta

    public void addMeta(String name,
                        String content,
                        String httpEquiv,
                        String scheme)

  Adds an HTML META element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting META elements will be preserved. All META elements added via this method will be ordered subsequent to the static META elements specified in skin and skeleton configuration files.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `name` - The value for the (X)HTML meta element's `name` attribute; ignored if null
    `content` - The value for the (X)HTML meta element's `content` attribute; ignored if null
    `httpEquiv` - The value for the (X)HTML meta element's `http-equiv` attribute; ignored if null
    `scheme` - The value for the (X)HTML meta element's `scheme` attribute; ignored if null
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML META element

### addMeta

    public void addMeta(LinkedHashMap<String,String> metaAttributes)

  Adds an HTML META element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting META elements will be preserved. All META elements added via this method will be ordered subsequent to the static META elements specified in skin and skeleton configuration files.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `metaAttributes` - The key is the (X)HTML meta element's attribute name, and the value is value of the attribute. For the attributes name, content, http-equiv, and scheme - null values will be ignored. All others will not be ignored.
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML META element

### addScript

    public void addScript(String type,
                          String charset,
                          String defer,
                          String src,
                          String inlineText)

  Adds an HTML SCRIPT element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting SCRIPT elements will be preserved. All SCRIPT elements added via this method will be ordered subsequent to the static SCRIPT elements specified in skin and skeleton configuration files.

  Unlike the static equivalent in skin and skeleton configuration, the value of the `src` attribute specified in this method is used as-is; the value is not subject to Look and Feel resource resolution.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `type` - The value for the (X)HTML script element's `type` attribute; ignored if null
    `charset` - The value for the (X)HTML script element's `charset` attribute; ignored if null
    `defer` - The value for the (X)HTML script element's `defer` attribute; ignored if null
    `src` - The value for the (X)HTML script element's `src` attribute; ignored if null
    `inlineText` - The value for the (X)HTML script element's content; ignored if null
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML SCRIPT element, `Skin.getHtmlPathResolver()`, `Skeleton.getHtmlPathResolver()`

### addScript

    public void addScript(LinkedHashMap<String,String> scriptAttributes,
                          String inlineText)

  Adds an HTML SCRIPT element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting SCRIPT elements will be preserved. All SCRIPT elements added via this method will be ordered subsequent to the static SCRIPT elements specified in skin and skeleton configuration files.

  Unlike the static equivalent in skin and skeleton configuration, the value of the `src` attribute specified in this method is used as-is; the value is not subject to Look and Feel resource resolution.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `scriptAttributes` - The key is the (X)HTML script element's attribute name, and the value is value of the attribute. For the attributes type, src, charset, and defer - null values will be ignored. All others will not be ignored.
    `inlineText` - The value for the (X)HTML script element's content; ignored if null
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML SCRIPT element, `Skin.getHtmlPathResolver()`, `Skeleton.getHtmlPathResolver()`

### addStyle

    public void addStyle(String title,
                         String type,
                         String media,
                         String inlineText)

  Adds an HTML STYLE element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting STYLE elements will be preserved. All STYLE elements added via this method will be ordered subsequent to the static STYLE elements specified in skin and skeleton configuration files.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `title` - The value for the (X)HTML style element's `title` attribute; ignored if null
    `type` - The value for the (X)HTML style element's `type` attribute; ignored if null
    `media` - The value for the (X)HTML style element's `media` attribute; ignored if null
    `inlineText` - The value for the (X)HTML script element's content; ignored if null
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML STYLE element

### addStyle

    public void addStyle(LinkedHashMap<String,String> styleAttributes,
                         String inlineText)

  Adds an HTML STYLE element with the specified attributes. Multiple calls to this method are allowed and the order of the resulting STYLE elements will be preserved. All STYLE elements added via this method will be ordered subsequent to the static STYLE elements specified in skin and skeleton configuration files.

  LIFECYCLE RESTRICTION: This method can only be called prior to the `render` lifecycle; calls during the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `styleAttributes` - The key is the (X)HTML style element's attribute name, and the value is value of the attribute. For the attributes title, type, and media - null values will be ignored. All others will not be ignored.
    `inlineText` - The value for the (X)HTML script element's content; ignored if null
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    HTML STYLE element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved